When I try to download Mavericks from OS X Uilities, it says "this apple ID has not purchased Lion", will it work it I buy this product ? Thanks

Back To Product

Follow this Question

1 Answer from the Community

  • All you need is a SNOW LEOPARD (10.6.8 version)...

    Was this useful? Answer 1

    1 of 2 people found this useful

Related Questions